#include <bits/stdc++.h>
using namespace std;
bool ktra(int x, int y, int z)
{
	bool kt;
	int max=x;
	int tg=x+y+z;
	if(y>max){max=y;}
	if(z>max){max=z;}
	kt=true;
	if((tg-max)<= max){kt=false;}
	return kt;
}
float s(int x, int y, int z)
{
	float dt;
	float p=(x+y+z)/2;
	dt=sqrt(p*(p-x)*(p-y)*(p-z));
	return dt;
}
int main()
{
	ifstream fi("tamgiac.inp");
	ofstream fo("tamgiac.out");
	int a,b,c;
	fi>>a>>b>>c;
	if(ktra(a,b,c))
	{
		fo<<"YES"<<endl;
		fo.setf(ios::fixed);
		fo.setf(ios::showpoint);
		fo.precision(2);
		fo<<s(a,b,c);
	}
	else 
	{
		fo<<"NO";
	}
}
